Zum Inhalt springen

Omnilottie

Integrieren

Modell-ID omnilottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,05 $ 50 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Open model Sonstiges #lottie

Erzeugt eine Lottie-Animationsdatei im JSON-Format aus einer Textbeschreibung

Open model · Datei

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich 88 / 2000

Text, der die gewünschte Lottie-Animation beschreibt.

Erweitert max_tokens · temperature · top_p · top_k
Standard 4096

Obergrenze der generierten Lottie-Token.

Standard 0.9

Beim Sampling während der Generierung verwendete Temperatur.

Standard 0.25

Wahrscheinlichkeitsgrenze für Nucleus-Sampling.

Standard 5

Einstellung für Top-k-Sampling.

POST /run/omnilottie?wait=20 Preis → 0,05 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Omnilottie

Erzeugt eine Lottie-Animation aus einem Text-`prompt` mit bis zu 2,000 Zeichen und gibt sie als JSON-Datei zurück. Die Generierung wird über `max_tokens` (256 bis 8192), `temperature`, `top_p` und `top_k` gesteuert. Es werden keine Bild- oder Videoeingaben benötigt.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
≤ 2.000 Zeichen
Text, der die gewünschte Lottie-Animation beschreibt.
max_tokensoptional
Typinteger
Standard4096
256 – 8.192
Obergrenze der generierten Lottie-Token.
temperatureoptional
Typnumber
Standard0.9
0 – 2
Beim Sampling während der Generierung verwendete Temperatur.
top_poptional
Typnumber
Standard0.25
0 – 1
Wahrscheinlichkeitsgrenze für Nucleus-Sampling.
top_koptional
Typinteger
Standard5
1 – 100
Einstellung für Top-k-Sampling.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
lottie_file
object {url, content_type, file_name, file_size}JSON-Datei mit der generierten Lottie-Animation.

Weitere Modelle: Sonstiges

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/omnilottie.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt